AIRQ_IV_SCAN(9)

NAME
airq_iv_scan - scan interrupt vector for non-zero bits

SYNOPSIS

unsigned long airq_iv_scan(struct airq_iv * iv, unsigned long start, unsigned long end);

ARGUMENTS

iv
    pointer to interrupt vector structure

start
    bit number to start the search

end
    bit number to end the search

DESCRIPTION

Returns the bit number of the next non-zero interrupt bit, or -1UL if the scan completed without finding any more any non-zero bits.

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT